#!/usr/bin/perl

# $Id: nph-absence-logout.pl 89 2009-07-14 00:12:25Z urban $

use CGI;

$CGI::POST_MAX = 300;
$CGI::DISABLE_UPLOADS = 1;

BEGIN {
	if ($ENV{QUERY_STRING} =~ /^instance=(\S+)$/) {
		# an instance has been specified
		$ENV{INSTANCE_NAME} = $1;
		$COOKIE_NAME = "absence-$1";
	} else {
		$COOKIE_NAME = 'absence';
	}
}

use AbsenceConfig;
my $TOP_PAGE	= AbsenceConfig::fetch('top_page');
my $AUTH_REALM	= AbsenceConfig::fetch('auth_realm');
my $COLOR_MAIN	= AbsenceConfig::fetch('wp_main');
my $VERSION		= '1.1';

logout();

#=========================================================================

sub logout
{
	my $q = new CGI;

	print $q->header(
		-type				=> 'text/html',
		-status				=> '401 Authorization required',
		-nph				=> 1,
		-www_authenticate	=> qq[Basic realm="$AUTH_REALM"],
		),
		$q->start_html(
			-title	=> 'Absence: logged off',
			-BGCOLOR => $COLOR_MAIN,
			-script	=> "top.location = '$TOP_PAGE'",
		),
		"logged off.",
		$q->end_html();
}
