function rt_overlap_change_state(form, what, which)
{
	var grp;
	var disabled;

	// alert("change_state, what=" + what + ", which=" + which);
	if (what == 'block') {
		if (!form_has_element(form, 'rt_block')) { return; }
		grp = form.rt_block;
	} else {
		if (!form_has_element(form, 'rt_non_block')) { return; }
		grp = form.rt_non_block;
	}
	if (which == 'enable') {
		disabled = false;
	} else {
		disabled = true;
	}

	// alert("setting in group...");
	for(var i=0; i < grp.length; i++) {
		grp[i].disabled = disabled;
	}
}

function change_height(form)
{
	var height_elem = form.height;

	var val;
	for(var i = 0; i < height_elem.options.length; i++) {
		if (height_elem.options[i].selected) {
			val = height_elem.options[i].value;
			break;
		}
	}

	if (val == 'block') {
		rt_overlap_change_state(form, 'block', 'enable');
		rt_overlap_change_state(form, 'non-block', 'disable');
	} else {
		rt_overlap_change_state(form, 'block', 'disable');
		rt_overlap_change_state(form, 'non-block', 'enable');
	}
}

function form_has_element(form, element)
{
	// alert("looking for [" + element + "]");
	for(var i=0; i < form.elements.length; i++) {
		//alert("element[" + i + "] = [" + form.elements[i].name + "]");
		if (form.elements[i].name == element) {
			// alert("found it");
			return true;
		}
	}
	// alert("NOT found it");
	return false;
}
